%define rversion	0.5.10
%define url			ftp://ftp.alsa-project.org/pub/utils/

Summary:	Advanced Linux Sound Architecture (ALSA) utils
Name:		alsa-utils
Version:	%{rversion}
Release:	4mdk

Source:		%{url}/%{name}-%{rversion}.tar.bz2

License:	GPL
BuildRoot:	%{_tmppath}/%{name}-root
Group:		System/Kernel and hardware
Requires:	kernel >= 2.2.14, alsa-lib >= %{version}
Prereq:		/sbin/chkconfig /sbin/ldconfig 
BuildRequires:	alsa-lib-devel = %{version} flex gpm-devel ncurses-devel
Url: http://www.alsa-project.org/
Prefix: %{_prefix}

%description
Advanced Linux Sound Architecture (ALSA) utils. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%prep
%setup -q -n %{name}-%{rversion}

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,sbin}
mkdir -p %buildroot/%{_mandir}
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README
%_sbindir/*
%_bindir/*
%_mandir/man1/*

%changelog
* Mon Nov 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.10-4mdk
- Add URL.
- Fix bad BuildRoot.

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.5.10-3mdk
- BuildRequires:	flex
- Copyright --> License

* Wed Dec 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.5.10-2mdk
- Remove ExcludeArch, ALSA is portable

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.10-1mdk
- 0.5.10.

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5.9-3mdk
- ExcludeArch: ppc

* Tue Sep 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.9-2mdk
- 0.5.9b.

* Wed Aug 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.9-1mdk
- 0.5.9a (but still naming 0.5.9 for depend with alsa-lib).

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5.8-3mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.8-2mdk
- BM.

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.8-1mdk
- 0.5.8.
- macrozifications.

* Fri May 19 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5.7-5mdk

- ExcludeArch sparcs too

* Wed May 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.7-4mdk
- ExcludeArch: alpha.

* Sun Apr 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.7-3mdk
- Remove alsa init files (moved to initscripts sound file).
- Clean up titi suck.
- 0.5.7.

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.5-2mdk
- fixed release tag

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.5-1mdk
- fixed group

* Thu Mar 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- make the alsa-lib package again, hoping Lord DarkChmou won't want to move it
  betwenn contrib and main cd and loose it again :-)
- update to alsa-utils-0.5.5

* Thu Dec 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 0.4.1
- build release for Oxygen as Lord Chmou requires
- Removed from contribs
- save & restore hardware mut when bootstrapping and when halting system
- alter requires :  replace alsa-driver by kernel as The holly Root has
  integrated it in our main kernel.

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- spec fixes 

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
